javax.security.auth.message.config

## Interface AuthConfigProvider

-     public interface AuthConfigProvider

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientAuthConfig` | `getClientAuthConfig(java.lang.String layer, java.lang.String appContext, javax.security.auth.callback.CallbackHandler handler)`
    `ServerAuthConfig` | `getServerAuthConfig(java.lang.String layer, java.lang.String appContext, javax.security.auth.callback.CallbackHandler handler)`
    `void` | `refresh()`

- - ### Method Detail

    - #### getClientAuthConfig

          ClientAuthConfig getClientAuthConfig(java.lang.String layer,
                                               java.lang.String appContext,
                                               javax.security.auth.callback.CallbackHandler handler)
                                        throws AuthException

      Throws:
        `AuthException`

    - #### getServerAuthConfig

          ServerAuthConfig getServerAuthConfig(java.lang.String layer,
                                               java.lang.String appContext,
                                               javax.security.auth.callback.CallbackHandler handler)
                                        throws AuthException

      Throws:
        `AuthException`

    - #### refresh

          void refresh()

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.